# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Changing field 'Ligne.projet_poste'
        db.alter_column('coda_ligne', 'projet_poste_id', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, null=True, to=orm['managedcoda.ProjetPoste']))
    
    
    def backwards(self, orm):
        
        # Changing field 'Ligne.projet_poste'
        db.alter_column('coda_ligne', 'projet_poste_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['managedcoda.ProjetPoste']))
    
    
    models = {
        'managedcoda.ecriture': {
            'Meta': {'object_name': 'Ecriture', 'db_table': "'coda_ecriture'"},
            'annee': ('django.db.models.fields.IntegerField', [], {}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '12'}),
            'date': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.CharField', [], {'max_length': '25', 'primary_key': 'True'}),
            'numero': ('django.db.models.fields.CharField', [], {'max_length': '12'}),
            'periode': ('django.db.models.fields.IntegerField', [], {}),
            'timestamp': ('django.db.models.fields.BigIntegerField', [], {})
        },
        'managedcoda.ligne': {
            'Meta': {'object_name': 'Ligne', 'db_table': "'coda_ligne'"},
            'debit_credit': ('django.db.models.fields.CharField', [], {'max_length': '1'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '36'}),
            'ecriture': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': "orm['managedcoda.Ecriture']"}),
            'etat_paiement': ('django.db.models.fields.CharField', [], {'max_length': '1'}),
            'id': ('django.db.models.fields.CharField', [], {'max_length': '36', 'primary_key': 'True'}),
            'implantation': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'montant_eur': ('django.db.models.fields.DecimalField', [], {'max_digits': '17', 'decimal_places': '2'}),
            'numero': ('django.db.models.fields.IntegerField', [], {}),
            'numero_avoir': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'numero_cheque': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'numero_facture': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'pcg': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': "orm['managedcoda.PCG']"}),
            'projet_poste': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'lignes'", 'null': 'True', 'to': "orm['managedcoda.ProjetPoste']"}),
            'salarie': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'tiers_operation': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'lignes'", 'to': "orm['managedcoda.TiersOperation']"}),
            'timestamp': ('django.db.models.fields.BigIntegerField', [], {})
        },
        'managedcoda.pcg': {
            'Meta': {'object_name': 'PCG', 'db_table': "'coda_pcg'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '72', 'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '36'}),
            'timestamp': ('django.db.models.fields.BigIntegerField', [], {})
        },
        'managedcoda.projetposte': {
            'Meta': {'object_name': 'ProjetPoste', 'db_table': "'coda_projetposte'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '72', 'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '36'}),
            'timestamp': ('django.db.models.fields.BigIntegerField', [], {})
        },
        'managedcoda.tiersoperation': {
            'Meta': {'object_name': 'TiersOperation', 'db_table': "'coda_tiersoperation'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '72', 'primary_key': 'True'}),
            'nom': ('django.db.models.fields.CharField', [], {'max_length': '36'}),
            'timestamp': ('django.db.models.fields.BigIntegerField', [], {})
        }
    }
    
    complete_apps = ['managedcoda']
